pack-unpack:echo '=12 -17p' | ./calculator 1.0
double-range:echo '=3e45 -12p' | ./calculator 1.0
plus:echo '=1 2 =3 4 +p' | ./calculator 1.0
minus:echo '=1 2 =3 4-p' | ./calculator 1.0
conjugate:echo '=1 2|p' | ./calculator 1.0
times-complex:echo '=1 2 =3 4*p' | ./calculator -1.0
times-split:echo '=1 2 =3 4*p' | ./calculator 1.0
times-dual:echo '=1 2 =3 4*p' | ./calculator 0.0
times-double-dual:echo '=1 2 =3 4*p' | ./calculator 2.0
div-complex:echo '=1 2 =3 4/p' | ./calculator -1.0
div-split:echo '=1 2 =3 4/p' | ./calculator 1.0
div-dual:echo '=1 2 =3 4/p' | ./calculator 0.0
div-mult-pi:echo '=1 2=3 4 O/*p' | ./calculator 3.14
pow:echo '=2 3D*pD*pD*pD*pD*pD*pD*pD*p' | ./calculator -1.0
pow-split:echo '=2 3D*pD*pD*pD*pD*pD*pD*pD*p' | ./calculator 1.0
valgrind:echo '=1 2 =3 4*=5 6/ddd' | valgrind -q --tool=memcheck --partial-loads-ok=yes --leak-check=yes --track-origins=yes ./calculator -3.14 > /dev/null
